Subject: Re: bug#30182: Update

From: martin rudalics <[email-masked]>
Date: Sun, 04 Feb 2018 11:01:22 +0100

>> In either case, an average Lisp programmer will be completely lost
 >> when trying to understand process_pending_signals and gobble_input and
 >> their possible implications.  But maybe it is undocumentable.
 >
 > Why would a Lisp programmer need to understand that?  It's a C-level
 > problem, and should be fixed on the C level.

I meant Lisp programmers occasionally delving into C code to
understand what's going on with their code.  They probably should know
about quitting and how to inhibit it but will have no idea how input
is blocked and what consequences that has for them.

martin